<?php
$tdatacollections_collecters = array();
$tdatacollections_collecters[".searchableFields"] = array();
$tdatacollections_collecters[".ShortName"] = "collections_collecters";
$tdatacollections_collecters[".OwnerID"] = "";
$tdatacollections_collecters[".OriginalTable"] = "collections";


$tdatacollections_collecters[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"list\":[\"list\",\"list1\"],\"view\":[\"view\"]}" );
$tdatacollections_collecters[".originalPagesByType"] = $tdatacollections_collecters[".pagesByType"];
$tdatacollections_collecters[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"list\":[\"list\",\"list1\"],\"view\":[\"view\"]}" ) );
$tdatacollections_collecters[".originalPages"] = $tdatacollections_collecters[".pages"];
$tdatacollections_collecters[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"list\":\"list\",\"view\":\"view\"}" );
$tdatacollections_collecters[".originalDefaultPages"] = $tdatacollections_collecters[".defaultPages"];

//	field labels
$fieldLabelscollections_collecters = array();
$fieldToolTipscollections_collecters = array();
$pageTitlescollections_collecters = array();
$placeHolderscollections_collecters = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscollections_collecters["English"] = array();
	$fieldToolTipscollections_collecters["English"] = array();
	$placeHolderscollections_collecters["English"] = array();
	$pageTitlescollections_collecters["English"] = array();
	$fieldLabelscollections_collecters["English"]["loan_id"] = "Loan Id";
	$fieldToolTipscollections_collecters["English"]["loan_id"] = "";
	$placeHolderscollections_collecters["English"]["loan_id"] = "";
	$fieldLabelscollections_collecters["English"]["customer_id"] = "Customer Id";
	$fieldToolTipscollections_collecters["English"]["customer_id"] = "";
	$placeHolderscollections_collecters["English"]["customer_id"] = "";
	$fieldLabelscollections_collecters["English"]["details"] = "Details";
	$fieldToolTipscollections_collecters["English"]["details"] = "";
	$placeHolderscollections_collecters["English"]["details"] = "";
	$fieldLabelscollections_collecters["English"]["horno"] = "Horno";
	$fieldToolTipscollections_collecters["English"]["horno"] = "";
	$placeHolderscollections_collecters["English"]["horno"] = "";
	$fieldLabelscollections_collecters["English"]["collection_id"] = "Collection Id";
	$fieldToolTipscollections_collecters["English"]["collection_id"] = "";
	$placeHolderscollections_collecters["English"]["collection_id"] = "";
	$fieldLabelscollections_collecters["English"]["pay_date"] = "Pay Date";
	$fieldToolTipscollections_collecters["English"]["pay_date"] = "";
	$placeHolderscollections_collecters["English"]["pay_date"] = "";
	$fieldLabelscollections_collecters["English"]["amount"] = "Amount";
	$fieldToolTipscollections_collecters["English"]["amount"] = "";
	$placeHolderscollections_collecters["English"]["amount"] = "";
	$fieldLabelscollections_collecters["English"]["user"] = "User";
	$fieldToolTipscollections_collecters["English"]["user"] = "";
	$placeHolderscollections_collecters["English"]["user"] = "";
	$fieldLabelscollections_collecters["English"]["creat_at"] = "Creat At";
	$fieldToolTipscollections_collecters["English"]["creat_at"] = "";
	$placeHolderscollections_collecters["English"]["creat_at"] = "";
	$fieldLabelscollections_collecters["English"]["remaining_balance"] = "Remaining Balance";
	$fieldToolTipscollections_collecters["English"]["remaining_balance"] = "";
	$placeHolderscollections_collecters["English"]["remaining_balance"] = "";
	if (count($fieldToolTipscollections_collecters["English"]))
		$tdatacollections_collecters[".isUseToolTips"] = true;
}


	$tdatacollections_collecters[".NCSearch"] = true;



$tdatacollections_collecters[".shortTableName"] = "collections_collecters";
$tdatacollections_collecters[".nSecOptions"] = 0;

$tdatacollections_collecters[".mainTableOwnerID"] = "";
$tdatacollections_collecters[".entityType"] = 1;
$tdatacollections_collecters[".connId"] = "easy_cash_at_localhost";


$tdatacollections_collecters[".strOriginalTableName"] = "collections";

	



$tdatacollections_collecters[".showAddInPopup"] = false;

$tdatacollections_collecters[".showEditInPopup"] = false;

$tdatacollections_collecters[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacollections_collecters[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatacollections_collecters[".listAjax"] = true;
//	temporary
$tdatacollections_collecters[".listAjax"] = false;

	$tdatacollections_collecters[".audit"] = true;

	$tdatacollections_collecters[".locking"] = false;


$pages = $tdatacollections_collecters[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacollections_collecters[".edit"] = true;
	$tdatacollections_collecters[".afterEditAction"] = 1;
	$tdatacollections_collecters[".closePopupAfterEdit"] = 1;
	$tdatacollections_collecters[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacollections_collecters[".add"] = true;
$tdatacollections_collecters[".afterAddAction"] = 2;
$tdatacollections_collecters[".closePopupAfterAdd"] = 0;
$tdatacollections_collecters[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatacollections_collecters[".list"] = true;
}



$tdatacollections_collecters[".strSortControlSettingsJSON"] = "";

$tdatacollections_collecters[".strClickActionJSON"] = "{\"fields\":{\"amount\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"collection_id\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"creat_at\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"customer_id\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"details\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"horno\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"loan_id\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"pay_date\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"remaining_balance\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}},\"user\":{\"action\":\"noaction\",\"codeData\":{\"snippet\":\"\"},\"gridData\":{},\"openData\":{}}},\"row\":{\"action\":\"open\",\"codeData\":{},\"gridData\":{\"action\":\"checkbox\",\"table\":\"collection\"},\"openData\":{\"how\":\"popup\",\"page\":\"add\",\"table\":\"collection\",\"url\":\"\"}}}";



if( $pages[PAGE_VIEW] ) {
$tdatacollections_collecters[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacollections_collecters[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacollections_collecters[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacollections_collecters[".printFriendly"] = true;
}



$tdatacollections_collecters[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacollections_collecters[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacollections_collecters[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacollections_collecters[".isUseAjaxSuggest"] = true;

$tdatacollections_collecters[".rowHighlite"] = true;



																																																

$tdatacollections_collecters[".ajaxCodeSnippetAdded"] = false;

$tdatacollections_collecters[".buttonsAdded"] = false;

$tdatacollections_collecters[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacollections_collecters[".isUseTimeForSearch"] = false;


$tdatacollections_collecters[".badgeColor"] = "1e90ff";


$tdatacollections_collecters[".allSearchFields"] = array();
$tdatacollections_collecters[".filterFields"] = array();
$tdatacollections_collecters[".requiredSearchFields"] = array();

$tdatacollections_collecters[".googleLikeFields"] = array();
$tdatacollections_collecters[".googleLikeFields"][] = "collection_id";
$tdatacollections_collecters[".googleLikeFields"][] = "loan_id";
$tdatacollections_collecters[".googleLikeFields"][] = "pay_date";
$tdatacollections_collecters[".googleLikeFields"][] = "amount";
$tdatacollections_collecters[".googleLikeFields"][] = "customer_id";
$tdatacollections_collecters[".googleLikeFields"][] = "details";
$tdatacollections_collecters[".googleLikeFields"][] = "horno";
$tdatacollections_collecters[".googleLikeFields"][] = "user";
$tdatacollections_collecters[".googleLikeFields"][] = "creat_at";
$tdatacollections_collecters[".googleLikeFields"][] = "remaining_balance";



$tdatacollections_collecters[".tableType"] = "list";

$tdatacollections_collecters[".printerPageOrientation"] = 0;
$tdatacollections_collecters[".nPrinterPageScale"] = 100;

$tdatacollections_collecters[".nPrinterSplitRecords"] = 40;

$tdatacollections_collecters[".geocodingEnabled"] = false;





$tdatacollections_collecters[".isResizeColumns"] = true;





$tdatacollections_collecters[".pageSize"] = 100;

$tdatacollections_collecters[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacollections_collecters[".strOrderBy"] = $tstrOrderBy;

$tdatacollections_collecters[".orderindexes"] = array();


$tdatacollections_collecters[".sqlHead"] = "SELECT collection_id,  	loan_id,  	pay_date,  	amount,  	customer_id,  	details,  	horno,  	`user`,  	creat_at,  	remaining_balance";
$tdatacollections_collecters[".sqlFrom"] = "FROM collections";
$tdatacollections_collecters[".sqlWhereExpr"] = "";
$tdatacollections_collecters[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacollections_collecters[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacollections_collecters[".arrGroupsPerPage"] = $arrGPP;

$tdatacollections_collecters[".highlightSearchResults"] = true;

$tableKeyscollections_collecters = array();
$tableKeyscollections_collecters[] = "loan_id";
$tdatacollections_collecters[".Keys"] = $tableKeyscollections_collecters;


$tdatacollections_collecters[".hideMobileList"] = array();




//	collection_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "collection_id";
	$fdata["GoodName"] = "collection_id";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","collection_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "collection_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "collection_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["collection_id"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "collection_id";
//	loan_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "loan_id";
	$fdata["GoodName"] = "loan_id";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","loan_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "loan_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "loan_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Loan Details";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"collection_id", 'lookupF'=>"customer_id");
	$edata["autoCompleteFields"][] = array('masterF'=>"customer_id", 'lookupF'=>"loan_id");
	$edata["autoCompleteFields"][] = array('masterF'=>"details", 'lookupF'=>"details");
	$edata["autoCompleteFields"][] = array('masterF'=>"horno", 'lookupF'=>"horno");
	$edata["autoCompleteFields"][] = array('masterF'=>"remaining_balance", 'lookupF'=>"remaining_balance");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "loan_id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "loan_id";

	

	
	$edata["LookupOrderBy"] = "loan_id";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["loan_id"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "loan_id";
//	pay_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "pay_date";
	$fdata["GoodName"] = "pay_date";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","pay_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "pay_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pay_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["pay_date"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "pay_date";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["amount"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "amount";
//	customer_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "customer_id";
	$fdata["GoodName"] = "customer_id";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","customer_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "customer_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "customer_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 15;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["customer_id"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "customer_id";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 12;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["details"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "details";
//	horno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "horno";
	$fdata["GoodName"] = "horno";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","horno");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "horno";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "horno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["horno"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "horno";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["user"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "user";
//	creat_at
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "creat_at";
	$fdata["GoodName"] = "creat_at";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","creat_at");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "creat_at";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "creat_at";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["creat_at"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "creat_at";
//	remaining_balance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "remaining_balance";
	$fdata["GoodName"] = "remaining_balance";
	$fdata["ownerTable"] = "collections";
	$fdata["Label"] = GetFieldLabel("collections_collecters","remaining_balance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "remaining_balance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "remaining_balance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollections_collecters["remaining_balance"] = $fdata;
		$tdatacollections_collecters[".searchableFields"][] = "remaining_balance";


$tables_data["collections_collecters"]=&$tdatacollections_collecters;
$field_labels["collections_collecters"] = &$fieldLabelscollections_collecters;
$fieldToolTips["collections_collecters"] = &$fieldToolTipscollections_collecters;
$placeHolders["collections_collecters"] = &$placeHolderscollections_collecters;
$page_titles["collections_collecters"] = &$pageTitlescollections_collecters;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["collections_collecters"] = array();
//	collection
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="collection";
		$detailsParam["dOriginalTable"] = "collection";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "collection";
	$detailsParam["dCaptionTable"] = GetTableCaption("collection");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["collections_collecters"][$dIndex] = $detailsParam;

	
		$detailsTablesData["collections_collecters"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["collections_collecters"][$dIndex]["masterKeys"][]="loan_id";

				$detailsTablesData["collections_collecters"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["collections_collecters"][$dIndex]["detailKeys"][]="loan_id";

// tables which are master tables for current table (detail)
$masterTablesData["collections_collecters"] = array();



	
				$strOriginalDetailsTable="rout_plans";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="My route";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "my_route";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["collections_collecters"][0] = $masterParams;
				$masterTablesData["collections_collecters"][0]["masterKeys"] = array();
	$masterTablesData["collections_collecters"][0]["masterKeys"][]="Loan Id";
				$masterTablesData["collections_collecters"][0]["detailKeys"] = array();
	$masterTablesData["collections_collecters"][0]["detailKeys"][]="loan_id";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_collections_collecters()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "collection_id,  	loan_id,  	pay_date,  	amount,  	customer_id,  	details,  	horno,  	`user`,  	creat_at,  	remaining_balance";
$proto0["m_strFrom"] = "FROM collections";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "collection_id",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto6["m_sql"] = "collection_id";
$proto6["m_srcTableName"] = "collections_collecters";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "loan_id",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto8["m_sql"] = "loan_id";
$proto8["m_srcTableName"] = "collections_collecters";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "pay_date",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto10["m_sql"] = "pay_date";
$proto10["m_srcTableName"] = "collections_collecters";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto12["m_sql"] = "amount";
$proto12["m_srcTableName"] = "collections_collecters";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "customer_id",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto14["m_sql"] = "customer_id";
$proto14["m_srcTableName"] = "collections_collecters";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto16["m_sql"] = "details";
$proto16["m_srcTableName"] = "collections_collecters";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "horno",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto18["m_sql"] = "horno";
$proto18["m_srcTableName"] = "collections_collecters";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto20["m_sql"] = "`user`";
$proto20["m_srcTableName"] = "collections_collecters";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "creat_at",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto22["m_sql"] = "creat_at";
$proto22["m_srcTableName"] = "collections_collecters";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "remaining_balance",
	"m_strTable" => "collections",
	"m_srcTableName" => "collections_collecters"
));

$proto24["m_sql"] = "remaining_balance";
$proto24["m_srcTableName"] = "collections_collecters";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "collections";
$proto27["m_srcTableName"] = "collections_collecters";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "collection_id";
$proto27["m_columns"][] = "loan_id";
$proto27["m_columns"][] = "pay_date";
$proto27["m_columns"][] = "amount";
$proto27["m_columns"][] = "customer_id";
$proto27["m_columns"][] = "details";
$proto27["m_columns"][] = "horno";
$proto27["m_columns"][] = "user";
$proto27["m_columns"][] = "creat_at";
$proto27["m_columns"][] = "remaining_balance";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "collections";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "collections_collecters";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="collections_collecters";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_collections_collecters = createSqlQuery_collections_collecters();


	
		;

										

$tdatacollections_collecters[".sqlquery"] = $queryData_collections_collecters;



include_once(getabspath("include/collections_collecters_events.php"));
$tableEvents["collections_collecters"] = new eventclass_collections_collecters;
$tdatacollections_collecters[".hasEvents"] = true;

?>